nameOverride: ""

image: registry.gitlab.com/piveau/consus/piveau-consus-scheduling
imageTag: "2.0.1"
imagePullPolicy: IfNotPresent
imagePullSecrets: [ ]

resources:
  requests:
    cpu: 500m
    memory: 1Gi

extraEnvs: [ ]

javaOpts: "-XX:MaxRAMPercentage=75.0"

service:
  port: 8080

serviceDiscovery:
  - piveau-consus-exporting-hub
  - piveau-consus-importing-rdf
  - piveau-consus-importing-oaipmh
  - piveau-consus-importing-ckan
  - piveau-consus-transforming-js

ingress:
  enabled: false
  annotations: { }
#    kubernetes.io/ingress.class: nginx
#    kubernetes.io/tls-acme: "true"
#    route.openshift.io/termination: edge
  hosts:
    - host: scheduling.example.local
      paths:
        - path: /
          pathType: ImplementationSpecific

podSecurityContext:
  enabled: true
  fsGroup: 1001

containerSecurityContext:
  enabled: true
  runAsUser: 1001
  runAsNonRoot: true

persistence:
  enabled: false
  accessModes:
    - ReadWriteOnce
  storageClassName: default
  size: 1Gi

cli: {}
  # http: { }
  # telnet: { }

pipes: []
#  - file: pipe-example.yaml
#    value:
#      header:
#        id: 371f19b1-5d1d-46bd-8d5c-247227af9a7c
#        name: example
#        title: Harvesting - something
#        version: "2.0.0"
#        context: HELM
#        transport: payload
#      body:
#        segments:
#          - header:
#              name: piveau-consus-importing-rdf
#              segmentNumber: 1
#              title: Importing RDF
#              processed: false
#            body:
#              config:
#                address: https://example.com/catalogue.rdf
#                catalogue: example-catalogue
#          - header:
#              name: piveau-consus-exporting-hub
#              segmentNumber: 2
#              title: Exporting hub
#              processed: false
#            body: { }
